curl --request GET \
--url https://api.salvy.com.br/api/v1/assets/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.salvy.com.br/api/v1/assets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.salvy.com.br/api/v1/assets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"enrollmentId": "SLY-12345",
"status": "in-use",
"createdAt": "2025-01-01T00:00:00.000Z",
"source": "desktop-client",
"customFields": [
{
"label": "teste",
"type": "text",
"value": "teste"
}
],
"category": "notebook",
"brand": "Dell",
"model": "XPS 13",
"vendorName": "Tech Supplier Inc.",
"serialNumber": "SN1234567890",
"deviceId": "8A1D30F4-8C87-44CD-A663-2229DE6F64BD",
"acquisitionDate": "2025-12-10T03:00:00.000Z",
"acquisitionType": "bought",
"priceCents": 250000,
"nfeNumber": "000123456789",
"contractId": "CT-2024-0001",
"warrantyExpirationDate": "2025-12-24T03:00:00.000Z",
"allocatedLocation": "Sala do RH",
"employeeId": "123e4567-e89b-12d3-a456-426614174000",
"employeeAttachedAt": "2025-01-01T00:00:00.000Z"
}{
"code": "unauthorized",
"message": "<string>",
"publicDetails": {}
}{
"code": "forbidden",
"message": "<string>",
"publicDetails": {}
}{
"code": "resource-not-found",
"message": "<string>",
"publicDetails": {}
}{
"code": "payload-too-large",
"message": "<string>",
"publicDetails": {}
}{
"code": "input-validation-error",
"message": "<string>",
"publicDetails": {}
}{
"code": "unknown",
"message": "<string>",
"publicDetails": {}
}Buscar equipamento por ID
[DEPRECADO] Descontinuado em 2026-08-11; deixa de ser atendido em 2027-02-01. Utilize https://api.salvy.com.br/api/v2/assets/:id em substituição. Detalhes e instruções de migração: https://docs.salvy.com.br/api-reference/deprecation
Busca um equipamento por ID
ID.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Identificador do equipamento na plataforma Salvy (UUID)
"123e4567-e89b-12d3-a456-426614174000"
"123e4567-e89b-12d3-a456-426614174001"
Número de patrimônio do equipamento
"SLY-12345"
Situação do equipamento
available, in-use, allocated, maintenance, broken, lost, stolen, sold, donated, discarded, archived, obsolete, blocked, pending-verification, awaiting-quote "in-use"
Data de criação do equipamento
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$"2025-01-01T00:00:00.000Z"
Fonte de criação do equipamento
manual, sheets-import, nfe-import, desktop-client, mobile-app, android-mdm "desktop-client"
Campos personalizados do equipamento
Show child attributes
Show child attributes
[ { "label": "teste", "type": "text", "value": "teste" } ]
Categoria do equipamento
"notebook"
Marca do equipamento
"Dell"
Modelo do equipamento
"XPS 13"
Nome do fornecedor do equipamento
"Tech Supplier Inc."
Número de série do equipamento
"SN1234567890"
ID do dispositivo coletado pelo aplicativo mobile da Salvy
"8A1D30F4-8C87-44CD-A663-2229DE6F64BD"
Data de aquisição do equipamento
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$"2025-12-10T03:00:00.000Z"
Tipo de aquisição do equipamento
bought, rented, other "bought"
Preço de aquisição do equipamento em centavos
250000
Número da nota fiscal de aquisição do equipamento
"000123456789"
Identificador do contrato relacionado ao equipamento
"CT-2024-0001"
Data de expiração da garantia do equipamento
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$"2025-12-24T03:00:00.000Z"
Local de alocação do equipamento
"Sala do RH"
Id do colaborador ao qual o equipamento está associado
"123e4567-e89b-12d3-a456-426614174000"
"123e4567-e89b-12d3-a456-426614174001"
Data de vinculação do colaborador ao equipamento. Removido automaticamente se o colaborador for desvinculado.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$"2025-01-01T00:00:00.000Z"